#!/bin/sh
#-*-sh-*-

#
# Copyright © 2009-2016 Inria.  All rights reserved.
# Copyright © 2014 Cisco Systems, Inc.  All rights reserved.
# See COPYING in top-level directory.
#

HWLOC_top_srcdir="/users/tech/rkl/ia64/hwloc-2.0.3"
HWLOC_top_builddir="/users/tech/rkl/ia64/hwloc-2.0.3"
srcdir="$HWLOC_top_srcdir/utils/hwloc"
builddir="$HWLOC_top_builddir/utils/hwloc"
annotate="$builddir/hwloc-annotate"

HWLOC_PLUGINS_PATH=${HWLOC_top_builddir}/hwloc
export HWLOC_PLUGINS_PATH

HWLOC_DEBUG_CHECK=1
export HWLOC_DEBUG_CHECK

if test x1 = x1; then
  # make sure we use default numeric formats
  LANG=C
  LC_ALL=C
  export LANG LC_ALL
fi

: ${TMPDIR=/tmp}
{
  tmp=`
    (umask 077 && mktemp -d "$TMPDIR/fooXXXXXX") 2>/dev/null
  ` &&
  test -n "$tmp" && test -d "$tmp"
} || {
  tmp=$TMPDIR/foo$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} || exit $?
file="$tmp/test-hwloc-annotate.output"
distances="$tmp/test-hwloc-annotate.distances"

set -e

$annotate $srcdir/test-hwloc-annotate.input $file pu:0 misc pumisc
$annotate $file $file root misc rootmisc
$annotate $file $file misc:0 misc miscmisc1
$annotate $file $file all info Foo Bar
$annotate --ci $file $file Core:all info Foo2 Bar2
$annotate --ci $file $file L2Cache:0 none
$annotate --ri $file $file pack:all info Foo
$annotate $file $file pack:0 info Foo2 Bar
$annotate $file $file pack:0 info Foo2 Bar2
$annotate --ri $file $file pack:0 info Foo2 Bar3
$annotate $file $file os:2-3 info myosdev byindex
$annotate $file $file pci:4:2 info mypcidev byindex
$annotate $file $file pci=0000:02:00.0 info mypcidev bybusid
$annotate $file $file 'pci[8086:0046]:all' info mypcidev bymatch
$annotate $file $file bridge:all info mybridges all
$annotate --cu $file $file L1iCache:0 none
$annotate --cd $file $file dummy none
cat > $distances << EOF
5
3
pu:2
pu:0
pu:1
3*1
EOF
$annotate $file $file dummy distances $distances

/usr/bin/diff -c -w $srcdir/test-hwloc-annotate.output "$file"
rm -rf "$tmp"
